Roundup Tracker - Issues

Issue 2550970

classification
Title: Stop mailgw.py using mimetools
Type: rfe Severity: normal
Components: Mail interface Versions: devel
process
Status: fixed Resolution: fixed
Dependencies: Superseder:
Assigned To: cmeerw Nosy List: cmeerw, joseph_myers
Priority: Keywords: patch, python3

Created on 2018-07-25 19:35 by joseph_myers, last changed 2018-08-15 11:04 by joseph_myers.

Messages
msg6126 Author: [hidden] (joseph_myers) Date: 2018-07-25 19:35
To work with Python 3, mailgw.py needs to stop using the mimetools
module.  The changes at https://github.com/jerrykan/herder/tree/mailgw
need to be updated and merged to trunk.
msg6182 Author: [hidden] (cmeerw) Date: 2018-08-11 22:54
I have done some work on this:

https://bitbucket.org/cmeerw/roundup/commits/7e1d8a4d13578502675440858788
ce9917c4be55?at=mailgw-rework

although tests on Python 3 are not clean yet, the failures are cosmetic 
(different header line folding)
msg6185 Author: [hidden] (cmeerw) Date: 2018-08-12 15:26
merged into default: 725266c03eab

tests on Python 3 still need a bit of work (to ignore header folding when 
comparing expected results)
msg6194 Author: [hidden] (joseph_myers) Date: 2018-08-15 11:04
Marking fixed, since getting testsuite results clean with Python 3 is
covered by issue 2550972.
History
Date User Action Args
2018-08-15 11:04:14joseph_myerssetstatus: new -> fixed
resolution: fixed
messages: + msg6194
2018-08-12 15:26:33cmeerwsetmessages: + msg6185
2018-08-12 09:47:28cmeerwsetassignee: cmeerw
2018-08-11 22:54:30cmeerwsetnosy: + cmeerw
messages: + msg6182
2018-07-26 10:41:04joseph_myerssetkeywords: + patch, python3
2018-07-25 19:35:17joseph_myerscreate